%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Net_FTP

Name:           php-pear-Net-FTP
Version:        1.3.7
Release:        15%{?dist}
Summary:        Provides an OO interface to the PHP FTP functions plus some additions

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Net_FTP
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

# See http://pear.php.net/bugs/bug.php?id=13946
# Get http://svn.php.net/viewvc/pear/packages/Net_FTP/trunk/tests/Net_FTPTest.php?r1=260008&r2=260010&view=patch
# Get http://svn.php.net/viewvc/pear/packages/Net_FTP/trunk/tests/Net_FTPTest.php?r1=260010&r2=260033&view=patch
Patch0:         %{pear_name}-1.3.7-test.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2 dos2unix

Requires:       php-pear(PEAR) >= 1.3.0
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{pear_name}) = %{version}


%description
Net_FTP allows you to communicate with FTP servers in a more comfortable
way than the native FTP functions of PHP do. The class implements everything
nativly supported by PHP and additionally features like recursive up- and
downloading, dircreation and chmodding. It although implements an observer
pattern to allow for example the view of a progress bar.


%prep
%setup -q -c

sed -i -e '/CHANGELOG/s/role="data"/role="doc"/' package.xml

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Fix  wrong-file-end-of-line-encoding
dos2unix $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/example/* \
         $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/CHANGELOG


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Patch applied here (don't break checksum control during install)
cd $RPM_BUILD_ROOT%{pear_testdir}/Net_FTP
dos2unix Net_FTPTest.php
patch -p0 <%{PATCH0}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net
%{pear_testdir}/Net_FTP


%check
# yum install php-pear-Net-FTP  php-pear-PHPUnit  vsftpd
# cd /usr/share/pear/test/Net_FTP
# cp config.php.dist config.php
# vi config.php
## (tested with PHPUnit 3.5.10)
# phpunit -d date.timezone=UTC AllTests.php
## should display : OK (9 tests, 31 assertions)


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.3.7-12
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.3.7-10
- rebuilt for new pear_testdir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 18 2011 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-7
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-6
- fix test patch (FTBFS)
- define timezone during build

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 22 2010 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-4
- spec cleanup
- rename Net_FTP.xml to php-pear-Net-FTP.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue May 20 2008 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-1
- new version
- add Net_FTP-1.3.7-test.patch for test suite (from CVS)

* Thu May 08 2008 Remi Collet <Fedora@FamilleCollet.com> 1.3.6-1
- new version

* Tue Dec 11 2007 Remi Collet <Fedora@FamilleCollet.com> 1.3.4-1
- new version

* Thu Dec  6 2007 Remi Collet <Fedora@FamilleCollet.com> 1.3.3-1
- new version
- fix license
- add %%check (for documentation only)

* Sun Nov  5 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.2-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
